:root {
    --main: #000;
    --accent: #FFB43A;
    --bg: #0f0f0f;
    --card: #1a1a1a;
    --text: #eaeaea;
    --border: #2a2a2a;
}

body {
    font-family: 'Inter', 'Segoe UI', Arial, sans-serif;
    background: var(--bg);
    color: var(--text);
    padding: 25px;
}

html {
    scroll-behavior: smooth;
    scrollbar-color: #FFB43A #111;
    scrollbar-width: thin;
}

body.no-scroll {
    overflow: hidden;
}

.header-row {
    display: flex;
    align-items: center;
    gap: 15px;
    /* araya boşluk */
}

.header-row h2 {
    margin: 0;
}

.stats-btn {
    padding: 8px 12px;
    background: #007bff;
    color: #fff;
    text-decoration: none;
    border-radius: 6px;
    font-size: 14px;
}

.dropdown {
    position: relative;
    width: 250px;
}

.dropdown-btn {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    background: #1a1a1a;
    color: #FFB43A;
    border: 1px solid #333;
    border-radius: 6px;
    cursor: pointer;
}

.dropdown-content {
    display: none;
    position: absolute;
    width: 100%;
    background: #1a1a1a;
    border: 1px solid #333;
    border-radius: 6px;
    margin-top: 5px;
    max-height: 250px;
    overflow-y: auto;
    overflow-x: hidden;
    z-index: 999;
}

.dropdown-content.active {
    display: block;
}

.dropdown-content label {
    display: block;
    padding: 8px 10px;
    cursor: pointer;
    color: #eee;
    white-space: nowrap;
}

.dropdown-content input {
    font-size: 15px;
}

input::placeholder {
    color: #5df505;
    opacity: 1;
}

.search-box {
    width: 100%;
    padding: 8px;
    border: none;
    outline: none;
    background: #111;
    color: #fff;
    border-bottom: 1px solid #333;
    box-sizing: border-box;
}

.no-result {
    display: none;
    padding: 10px;
    text-align: center;
    color: #aaa;
    font-size: 14px;
}

h1 {
    color: var(--accent);
    text-align: center;
}

h2 {
    font-size: 26px;
    color: var(--accent);
}

.baslik {
    display: flex;
    text-align: center;
    justify-content: center;
    margin: 50px;
}

select {
    padding: 8px 15px;
    border-radius: 6px;
    border: 1px solid var(--border);
    font-size: 16px;
    background: var(--card);
    color: var(--accent);
    font-weight: bold;
}

.grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(450px, 1fr));
    gap: 25px;
}

hr {
    background-color: #FFB43A;
    height: 2px;
    border: none;
}

.card {
    background: var(--card);
    border-radius: 12px;
    overflow: hidden;
    box-shadow: 0 6px 20px rgba(0, 0, 0, 0.5);
    transition: 0.3s;
    cursor: pointer;
    border: 1px solid var(--border);
}

.card:hover {
    transform: scale(1.03);
    box-shadow: 0 12px 32px rgba(255, 180, 58, 0.25);
}

.card-img img.vertical {
    object-fit: contain;
    background: #1a1a1a;
    backdrop-filter: blur(5px);
}

.card-img {
    width: 100%;
    height: 0;
    padding-top: 66.66%;
    position: relative;
    overflow: hidden;
}

.card-img img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.3s ease;
}

.card-body {
    padding: 12px 16px;
    font-size: 17px;
    font-family: 'Inter', 'Segoe UI', Arial, sans-serif;
}

.card-body p {
    margin: 4px 0;
    padding-left: 8px;
    border-left: 3px solid var(--accent);
}

.card-body b {
    color: var(--accent);
    font-family: 'Roboto', 'Segoe UI', sans-serif;
}

.badge {
    text-align: center;
    font-weight: bold;
    margin: 8px 0;
    font-size: 18px;
}

.badge-new {
    color: var(--accent);
}

.badge-old {
    color: #ff4d4d;
}

#singleLightbox {
    display: none;
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.9);
    backdrop-filter: blur(5px);
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

#singleLightbox img {
    max-width: 90%;
    max-height: 90%;
    border-radius: 12px;
}

#singleLightbox span {
    position: absolute;
    color: var(--accent);
    font-size: 70px;
    cursor: pointer;
}

#closeBtn {
    top: 20px;
    right: 20px;
    font-size: clamp(30px, 5vw, 70px);
}

#prevBtn {
    top: 50%;
    left: 2vw;
    transform: translateY(-50%);
    font-size: clamp(30px, 5vw, 70px);
}

#nextBtn {
    top: 50%;
    right: 2vw;
    transform: translateY(-50%);
    font-size: clamp(30px, 5vw, 70px);
}

.tables-wrapper {
    display: flex;
    gap: 30px;
    margin-top: 40px;
    flex-wrap: wrap;
    font-size: 17px;
}

.table-box {
    flex: 1;
    min-width: 350px;
    background: var(--card);
    border-radius: 12px;
    padding: 15px;
    border: 1px solid var(--border);
    height: max-content;
}

.table-box h2 {
    margin-bottom: 10px;
    color: var(--accent);
    border-left: 5px solid var(--accent);
    padding-left: 10px;
}

.table-box table {
    width: 100%;
    border-collapse: collapse;
}

.table-box th {
    background: var(--main);
    color: var(--accent);
    padding: 10px;
    text-align: center;
}

.table-box td {
    padding: 8px;
    border-bottom: 1px solid var(--border);
    text-align: center;
}

.table-box tr:hover td {
    background: rgba(255, 180, 58, 0.08);
}


.table-box td:last-child {
    font-weight: bold;
    color: var(--accent);
}

.note {
    display: flex;
    align-items: center;
    justify-content: center;

    margin: 20px auto;
    padding: 14px 18px;
    max-width: max-content;

    background: rgba(255, 180, 58, 0.08);
    border-left: 5px solid var(--accent);
    border-radius: 10px;

    color: #f1f1f1;
    font-size: 15px;
    line-height: 1.5;
    text-align: center;

    gap: 10px;
}

.note::before {
    content: "ℹ️";
    font-size: 20px;
}

.note:hover {
    background: rgba(255, 180, 58, 0.15);
    transition: 0.3s;
}

.stats-btn {
    display: inline-block;
    padding: 12px 20px;
    margin-bottom: 50px;
    margin-top: 10px;
    background: #FFB43A;
    color: #000;
    font-weight: 600;
    border-radius: 8px;
    text-decoration: none;
    transition: 0.3s;
}

.stats-btn:hover {
    background: #ffa500;
    transform: translateY(-2px);
}

.stats-btn2 {
    display: inline-block;
    padding: 8px 10px;
    margin-top: 10px;
    background: #FFB43A;
    color: #000;
    font-weight: 600;
    border-radius: 8px;
    text-decoration: none;
    transition: 0.3s;
    margin-bottom: 15px;
    font-size: 13px;
}

.stats-btn2:hover {
    background: #ffa500;
    transform: translateY(-2px);
}

.summary-text {
    text-align: center;
    margin: 40px 0 50px;
    font-size: 16px;
    color: #ccc;
    letter-spacing: 0.3px;
    font-weight: bold;
}

.summary-text strong {
    color: #FFB43A;
    font-weight: 600;
}

@media (max-width: 1024px) {

    .grid {
        grid-template-columns: repeat(auto-fill, minmax(320px, 1fr));
    }

    .card-body {
        font-size: 15px;
    }

    .tables-wrapper {
        flex-direction: column;
    }
}

@media (max-width: 768px) {

    body {
        padding: 15px;
    }

    .grid {
        grid-template-columns: 1fr;
        gap: 20px;
    }

    .card {
        border-radius: 10px;
    }

    .card-body {
        font-size: 14px;
    }

    h1 {
        font-size: 20px;
    }

    h2 {
        font-size: 20px;
    }

    select {
        font-size: 15px;
    }

    .tables-wrapper {
        flex-direction: column;
        gap: 20px;
    }

    .table-box {
        min-width: 100%;
    }

    .table-box {
        min-width: 300px;
    }
}

@media (max-width: 480px) {

    .card-body {
        font-size: 13px;
    }

    h1,
    h2 {
        font-size: 15px;
    }

    .badge {
        font-size: 16px;
    }

    #singleLightbox span {
        font-size: 45px;
    }

    .table-box td {
        font-size: 12px;
    }

    .note {
        font-size: 12px;
    }

    .table-box {
        min-width: 300px;
    }
}

::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-track {
    background: #111;
}

::-webkit-scrollbar-thumb {
    background: #FFB43A;
    border-radius: 10px;
    border: 2px solid #111;
}

::-webkit-scrollbar-thumb:hover {
    background: #ffaa00;
}